package businessLogic;

import java.rmi.RemoteException;
import java.util.Date;
import java.util.Vector;

import domain.Offer;
import domain.Owner;
import domain.RuralHouse;

public interface HouseManagerInterface {



	public boolean registerNewHouse(String houseName, Owner owner,
			String description, String town, int nRooms, int nKitchens,
			int nBaths, int nLivings, int nParkings);

	// For future implementation
	// public void modifyHouse(int houseName, Owner owner,
	// String description, String town, int nRooms, int nKitchens,
	// int nBaths, int nLivings, int nParkings);

	public void removeHouse(RuralHouse rh);


	/**
	 * @param district
	 * @return
	 */
	public Vector<RuralHouse> getHousesByDistrict(String district);
	
	
	public RuralHouse getHouseByName(String Name);
	/**
	 * This method retrieves the existing  rural houses 
	 * 
	 * @return a Set of rural houses
	 */
	public Vector<RuralHouse> getAllRuralHouses()throws RemoteException,
	Exception;
	
}
